node package manager

babel-plugin-transform-es2015-object-super

babel-plugin-transform-es2015-object-super

Compile ES2015 object super to ES5

Installation

npm install --save-dev babel-plugin-transform-es2015-object-super

Usage

Via .babelrc (Recommended)

.babelrc

{
  "plugins": ["transform-es2015-object-super"]
}

Via CLI

babel --plugins transform-es2015-object-super script.js

Via Node API

require("babel-core").transform("code", {
  plugins: ["transform-es2015-object-super"]
});